## python-intellifire4py 4.1.9

=== docs/requirements.txt ===
furo==2022.4.7
sphinx==4.5.0
sphinx-click==5.1.0
myst_parser==0.17.2

=== debian/changelog ===
python-intellifire4py (4.1.9-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Sun, 06 Oct 2024 12:25:47 +0200

python-intellifire4py (4.1.9-1) unstable; urgency=medium

  * Initial release. (Closes: #1082954)

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Sep 2024 00:48:00 +0200

=== debian/control ===
Source: python-intellifire4py
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-setuptools,
Build-Depends-Indep:
 python3-aenum,
 python3-aiohttp,
 python3-aioresponses,
 python3-myst-parser,
 python3-nox,
 python3-pydantic,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-pytest-xdist,
 python3-rich,
 python3-typeguard,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-intellifire4py
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-intellifire4py.git
Homepage: https://github.com/jeeftor/intellifire4py

Package: python3-intellifire4py
Architecture: all
Depends:
 python3-aenum,
 python3-aiohttp,
 python3-pydantic,
 python3-rich,
 ${misc:Depends},
 ${python3:Depends},
Description: control intellifire fireplace
 This package provides a way to control an intellifire fireplace.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/jeeftor/intellifire4py.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v -n `nproc` tests

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" https://github.com/jeeftor/intellifire4py refs/tags/(\d[brc\d\.]+)
